%define name            objectweb-anttask
%define version         1.2
%define release         1jpp
%define section         free

# -----------------------------------------------------------------------------

Summary:        ObjectWeb Ant task
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Group:          Development/Java
License:        LGPL
URL:            http://forge.objectweb.org/projects/monolog/
BuildArch:      noarch
Source0:        ow_util_ant_tasks_1.2.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:	jpackage-utils >= 0:1.5
Provides:	owanttask

%description
ObjectWeb Ant task

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c -q -n %{name}
find . -name "*.class" -exec rm {} \;
find . -name "*.jar" -exec rm {} \;

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=
ant -Dbuild.compiler=modern jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 output/lib/ow_util_ant_tasks.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf %{name}-%{version}.jar %{name}.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%changelog
* Mon Sep 20 2004 Ralph Apel <r.apel at r-apel.de> 0:1.2-1jpp
- First JPackage release

